# CURP validation v4

`POST /api/validate/curp/v4`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Check for valid CURP and return corresponding values of that person.

If CURP is not found then renapo_valid field will be false.

if CURP has invalid format or is not found an error object with details will be returned, for example:

```
{

    "error": { "codigoError": "06", "message": "La CURP no se encuentra en la base de datos" },

    "result": "Not valid request: La CURP no se encuentra en la base de datos code: 06",

}
```

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api-version` | header | string | yes |  |

## Request body

Content-Type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `curp` | string |  |  |
| `externalId` | string |  |  |

## Responses

### 200

Respuesta con validación de CURP

```json
{
  "success": true,
  "curp": "XXXX820814HDFABC01",
  "sex": "MUJER",
  "nationality": "MEX",
  "result": "success",
  "requestData": {
    "name": "JUANA",
    "firstLastName": "PEREZ",
    "secondLastName": "LOPEZ",
    "gender": "M",
    "birthDate": "14/08/1982",
    "state": "DF"
  },
  "transactionId": "transaction1234567890",
  "renapo_valid": true,
  "names": "JUANA",
  "paternal_surname": "PEREZ",
  "mothers_maiden_name": "LOPEZ",
  "birthdate": "14/08/1982",
  "entity_birth": "DF",
  "probation_document": "1",
  "probation_document_data": {
    "foja": "",
    "numEntidadReg": "09",
    "libro": "",
    "NumRegExtranjeros": "",
    "cveEntidadNac": "DF",
    "numActa": "00001",
    "CRIP": "",
    "tomo": "",
    "cveEntidadEmisora": "",
    "anioReg": "1982",
    "cveMunicipioReg": "001",
    "FolioCarta": ""
  },
  "status_curp": "RCN",
  "deceasedStatus": "ALIVE"
}
```

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

### 500

Internal error during CURP validation.

### 504

The request to validate the CURP exceeded the allowed time limit
